Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource.external
Class ExternalResourceTrackerWrapper

    java.lang.Object
      org.richfaces.resource.external.ExternalResourceTrackerWrapper

All Implemented Interfaces:
  org.richfaces.resource.external.ExternalResourceTracker

    public class ExternalResourceTrackerWrapper

extends Object
implements org.richfaces.resource.external.ExternalResourceTracker

Wraps known implementations of `ExternalResourceTracker` and decides which one to choose in runtime

Author:
  Lukas Fryc

Constructor Summary
`ExternalResourceTrackerWrapper()`

Method Summary
`boolean` | `isResourceRenderered(javax.faces.context.FacesContext facesContext, org.richfaces.resource.ResourceKey resourceKey)`
`void` | `markExternalResourceRendered(javax.faces.context.FacesContext facesContext, org.richfaces.resource.external.ExternalResource resource)`
`void` | `markResourceRendered(javax.faces.context.FacesContext facesContext, org.richfaces.resource.ResourceKey resourceKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalResourceTrackerWrapper

    public ExternalResourceTrackerWrapper()

Method Detail

### isResourceRenderered

    public boolean isResourceRenderered(javax.faces.context.FacesContext facesContext,
                                        org.richfaces.resource.ResourceKey resourceKey)

  Specified by:
    `isResourceRenderered` in interface `org.richfaces.resource.external.ExternalResourceTracker`

### markResourceRendered

    public void markResourceRendered(javax.faces.context.FacesContext facesContext,
                                     org.richfaces.resource.ResourceKey resourceKey)

  Specified by:
    `markResourceRendered` in interface `org.richfaces.resource.external.ExternalResourceTracker`

### markExternalResourceRendered

    public void markExternalResourceRendered(javax.faces.context.FacesContext facesContext,
                                             org.richfaces.resource.external.ExternalResource resource)

  Specified by:
    `markExternalResourceRendered` in interface `org.richfaces.resource.external.ExternalResourceTracker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.